org.apache.ignite.internal.processors.cache

## Class IgniteCacheOsSerializationManager<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter<K,V>
  - - org.apache.ignite.internal.processors.cache.IgniteCacheOsSerializationManager<K,V>

All Implemented Interfaces:
  GridCacheManager<K,V>, IgniteCacheSerializationManager<K,V>

    public class IgniteCacheOsSerializationManager<K,V>
    extends GridCacheManagerAdapter<K,V>
    implements IgniteCacheSerializationManager<K,V>

Cache manager responsible for translating user objects into cache objects.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log`

### Constructor Summary

Constructors
Constructor and Description
`IgniteCacheOsSerializationManager()`

### Method Summary

Methods
`boolean` `keepPortableInStore()`
`boolean` `portableEnabled()` TODO this method should be removed from Ignite internals as a part of work on cache objects.
`Object` `unwrapPortableIfNeeded(Object o, boolean keepPortable)`
`Collection<Object>` `unwrapPortablesIfNeeded(Collection<Object> col, boolean keepPortable)` Unwraps collection.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheManager

`onKernalStart, onKernalStop, printMemoryStats, start, stop`

### Constructor Detail

#### IgniteCacheOsSerializationManager

    public IgniteCacheOsSerializationManager()

### Method Detail

#### portableEnabled

    public boolean portableEnabled()

TODO this method should be removed from Ignite internals as a part of work on cache objects.

Specified by:
  `portableEnabled` in interface `IgniteCacheSerializationManager<K,V>`
Returns:
  Portable enabled flag for cache.

#### keepPortableInStore

    public boolean keepPortableInStore()

Specified by:
  `keepPortableInStore` in interface `IgniteCacheSerializationManager<K,V>`
Returns:
  `True` if portable format should be preserved when passing values to cache store.

#### unwrapPortableIfNeeded

    public Object unwrapPortableIfNeeded(Object o,
                                boolean keepPortable)

Specified by:
  `unwrapPortableIfNeeded` in interface `IgniteCacheSerializationManager<K,V>`

#### unwrapPortablesIfNeeded

    public Collection<Object> unwrapPortablesIfNeeded(Collection<Object> col,
                                             boolean keepPortable)

Unwraps collection.

Specified by:
  `unwrapPortablesIfNeeded` in interface `IgniteCacheSerializationManager<K,V>`
Parameters:
  `col` - Collection to unwrap.
  `keepPortable` - Keep portable flag.
Returns:
  Unwrapped collection.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015